Debian Bug report logs - #648369
dma as /usr/sbin/sendmail does not accept input not ending with \n

version graph

Package: dma; Maintainer for dma is Arno Töll <arno@debian.org>; Source for dma is src:dma.

Reported by: Willi Mann <willi@wmi.at>

Date: Thu, 10 Nov 2011 20:24:02 UTC

Severity: normal

Found in version dma/0.0.2010.06.17-11

Fixed in version dma/0.0.2010.06.17-12

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#648369; Package dma. (Thu, 10 Nov 2011 20:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willi Mann <willi@wmi.at>:
New Bug report received and forwarded. Copy sent to Peter Pentchev <roam@ringlet.net>. (Thu, 10 Nov 2011 20:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@wmi.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dma as /usr/sbin/sendmail does not accept input not ending with \n
Date: Thu, 10 Nov 2011 21:02:49 +0100
Package: dma
Version: 0.0.2010.06.17-11
Severity: normal

(I'm the maintainer of the Debian package logwatch.)

In http://bugs.debian.org/642398 a user reported that dma fails to accept what
it gets from logwatch. It turned out that logwatch's output does not end with a
newline, rather it ends with newline followed by a space. 

This behaviour of logwatch is at least accepted by /usr/sbin/sendmail as 
implemented in courier and postfix (I use them), and probably most other
mailers in Debian (I haven't received any other bug report concerning this
issue). 

Based on the principle of "be conservative in what you send, be liberal in
what you accept" I've fixed the problem in logwatch, but I think that this 
problem should also be fixed in dma.

% cat > /tmp/testmail
To: willi@wm1.at
Subject: test

Hello World!
 ^D
% /usr/sbin/sendmail -t < /tmp/testmail
sendmail: can not read mail: Invalid argument
%

vs.

% cat /tmp/testmail
To: willi@wm1.at
Subject: test

Hello World!
^D
% /usr/sbin/sendmail -t < /tmp/testmail
%

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dma depends on:
ii  debconf [debconf-2.0]  1.5.40  
ii  libc6                  2.13-21 
ii  liblockfile1           1.09-3  
ii  libssl1.0.0            1.0.0e-2

Versions of packages dma recommends:
pn  dma-migrate  <none>
pn  safecat      <none>

dma suggests no packages.

-- Configuration Files:
/etc/dma/auth.conf [Errno 13] Keine Berechtigung: u'/etc/dma/auth.conf'
/etc/dma/dma.conf [Errno 13] Keine Berechtigung: u'/etc/dma/dma.conf'
/etc/dma/virtusertable [Errno 13] Keine Berechtigung: u'/etc/dma/virtusertable'

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#648369; Package dma. (Thu, 10 Nov 2011 21:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. (Thu, 10 Nov 2011 21:48:13 GMT) Full text and rfc822 format available.

Message #10 received at 648369@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Willi Mann <willi@wmi.at>
Cc: 648369@bugs.debian.org
Subject: Re: Bug#648369: dma as /usr/sbin/sendmail does not accept input not ending with \n
Date: Thu, 10 Nov 2011 22:46:20 +0200
[Message part 1 (text/plain, inline)]
On Thu, Nov 10, 2011 at 09:02:49PM +0100, Willi Mann wrote:
> Package: dma
> Version: 0.0.2010.06.17-11
> Severity: normal
> 
> (I'm the maintainer of the Debian package logwatch.)
> 
> In http://bugs.debian.org/642398 a user reported that dma fails to accept what
> it gets from logwatch. It turned out that logwatch's output does not end with a
> newline, rather it ends with newline followed by a space. 
> 
> This behaviour of logwatch is at least accepted by /usr/sbin/sendmail as 
> implemented in courier and postfix (I use them), and probably most other
> mailers in Debian (I haven't received any other bug report concerning this
> issue). 
> 
> Based on the principle of "be conservative in what you send, be liberal in
> what you accept" I've fixed the problem in logwatch, but I think that this 
> problem should also be fixed in dma.

You are absolutely correct; thanks for reporting this!

This is actually fixed in a newer upstream version of dma; I'll decide in
the next day or so whether to update to a newer upstream or just import
this particular fix.

Thanks, and sorry for the inconvenience!

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org peter@packetscale.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
This sentence contains exactly threee erors.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Mon, 26 Dec 2011 14:51:06 GMT) Full text and rfc822 format available.

Notification sent to Willi Mann <willi@wmi.at>:
Bug acknowledged by developer. (Mon, 26 Dec 2011 14:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 648369-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 648369-close@bugs.debian.org
Subject: Bug#648369: fixed in dma 0.0.2010.06.17-12
Date: Mon, 26 Dec 2011 14:48:19 +0000
Source: dma
Source-Version: 0.0.2010.06.17-12

We believe that the bug you reported is fixed in the latest version of
dma, which is due to be installed in the Debian FTP archive:

dma-migrate_0.0.2010.06.17-12_i386.deb
  to main/d/dma/dma-migrate_0.0.2010.06.17-12_i386.deb
dma_0.0.2010.06.17-12.debian.tar.bz2
  to main/d/dma/dma_0.0.2010.06.17-12.debian.tar.bz2
dma_0.0.2010.06.17-12.dsc
  to main/d/dma/dma_0.0.2010.06.17-12.dsc
dma_0.0.2010.06.17-12_i386.deb
  to main/d/dma/dma_0.0.2010.06.17-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648369@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated dma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 26 Dec 2011 16:10:36 +0200
Source: dma
Binary: dma dma-migrate
Architecture: source i386
Version: 0.0.2010.06.17-12
Distribution: unstable
Urgency: low
Maintainer: Peter Pentchev <roam@ringlet.net>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 dma        - lightweight mail transport agent
 dma-migrate - migration utility for the DragonFly Mail Agent's spool files
Closes: 648369 650265 650268
Changes: 
 dma (0.0.2010.06.17-12) unstable; urgency=low
 .
   * This is hopefully the last upload before the long overdue update of
     dma to a newer upstream release.
   * Fix the syntax of the dfcompat.c entry in debian/copyright.
   * Add the 44-newline patch (upstream rev. 807f777) to allow the last
     input line to not be terminated with a newline character.
     Closes: #648369
   * Add the 45-received patch to fix the format of the Received header.
     Closes: #650268
   * Add the 46-smtp-newline patch to deal with SMTP servers that may
     send a response in more than one TCP packet.  Closes: #650265
   * Amend the 13-hardening patch to also change three instances of
     strncpy() to snprintf() to ensure null-termination.
Checksums-Sha1: 
 9fc8d59cd3d93316a2e18bd4b88124d2e0c464a3 2000 dma_0.0.2010.06.17-12.dsc
 ee7a3fd14bd38d7151d6bae319213f9738108a5c 34855 dma_0.0.2010.06.17-12.debian.tar.bz2
 7dec34784bf30fd950b4049a930e8173691db92f 54386 dma_0.0.2010.06.17-12_i386.deb
 96f661f0aa03763b030aa7b636a0fb3ce12216b7 15718 dma-migrate_0.0.2010.06.17-12_i386.deb
Checksums-Sha256: 
 08de474d41970fc677f5e01e018fdb7a38754144d82a25ef84d86dee695b27f5 2000 dma_0.0.2010.06.17-12.dsc
 486bea048acf77898a1b4f2765313fd2895ad9cdce5889bad584e8d22ddbac49 34855 dma_0.0.2010.06.17-12.debian.tar.bz2
 ecd0628c0caced19cd01665712c0f85e4b4b256571da080d2e58c32be1d82778 54386 dma_0.0.2010.06.17-12_i386.deb
 599466981959fa9f5396cb6133b41486cb62034dc38c1dba3d3758ce3f6e5640 15718 dma-migrate_0.0.2010.06.17-12_i386.deb
Files: 
 23915f72d37b0d4b310f4516c9376719 2000 mail optional dma_0.0.2010.06.17-12.dsc
 4ca7b1707461082d320f65764c62071d 34855 mail optional dma_0.0.2010.06.17-12.debian.tar.bz2
 9d22ddca21248a956c11ab350f3315eb 54386 mail optional dma_0.0.2010.06.17-12_i386.deb
 63e1248aaa7726944deae309e6575a0f 15718 mail optional dma-migrate_0.0.2010.06.17-12_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJO+IJ3AAoJEGUe77AlJ98T2AcP/jXtlk+ov3NU3yn0z0vMR3BX
gCAfwmF5RxlMflMS75+oM68Bemu8FKr0nDx0i7zDiLEbGJ8aGD/ZgleoRP4LDLJO
8EKnXZe2FQAbJV+LYHH4CaWn3bqWd5j04O7u1OB00WfWZbKTs/YeGfDiPdh6owPz
MrH1eypEOOmH4S4Usv1Wm6EMGBJDzIpGQ0awHjjIv6Cu1biMsghg90dCT3aSs1ga
uHNMfv7XDhXjCZzu5J4LAMbabb2ipTMMCeojr1Uj9pi4t87sIpxDnplWj3vxpYOU
T/jIZH689cl5CuEgk6yds+I13d5pIxTbs4qqTbY9JBEc656DUK1FlcBGk9CMfKbR
kRVIhG9cx+33BfbxJ+SzmSbG6iRLn5UrEnb2UGh+RmhAfQdP9XlKqBatDy6g7vlE
jBKeubbwEyeuUxywTO3qlrcPEZWSbBsA0/RnXM49EOprpNtNeNM63QBMkSoyFSW+
IgqUQ+EhrSaAE517XgvUfUb/13woqEkmuWL7z7lTqcuGJKjffuHTQzQ4g5kstvhE
vJTfYXzfAab4IX2tZwoEoGiD2HMb74eAtVV0N5htY/nUfws03MWflzDYB8eOdxzS
R3zqw1KXFf8m0YvknD5HoxVxJ3M3RfDETvyAaZVVXe6OFLAz64kndGjx4VXM5hwO
FpMRhzS4bsRtd1IF/aZ8
=1Ccs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Feb 2012 07:33:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:19:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.